<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                        <span class="h2 font-weight-bold mb-0">Value of bill type </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-6 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <h3 class="mb-0">Form</h3>
                    </div>
                    <div class="card-body">
                        <form method="post" th:action="@{/studentBill/valueType/new}"  th:object="${valueBill}">
                            <div class="form-group">
                                <label>Type of bill</label>
                                <select name="" required id="" class="form-control" th:field="*{jenisTagihan}">
                                    <option value=""></option>
                                    <option th:each="data : ${jenisTagihan}"
                                            th:text="${data.kode + ' - ' +data.nama}"
                                            th:value="${data.id}">STEI TAZKIA</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Academic Year</label>
                                <select name="" required id="" class="form-control" th:field="*{tahunAkademik}">
                                    <option value=""></option>
                                    <option th:each="data : ${tahunAkademik}"
                                            th:text="${data.namaTahunAkademik}"
                                            th:value="${data.id}">STEI TAZKIA</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Prodi</label>
                                <select name="" required id="" class="form-control" th:field="*{prodi}">
                                    <option value=""></option>
                                    <option th:each="data : ${prodi}"
                                            th:text="${data.namaProdi}"
                                            th:value="${data.id}">STEI TAZKIA</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Program</label>
                                <select name="" required id="" class="form-control" th:field="*{program}">
                                    <option value=""></option>
                                    <option th:each="data : ${program}"
                                            th:text="${data.namaProgram}"
                                            th:value="${data.id}">STEI TAZKIA</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Value</label>
                                <input type="text" name="nilai" class="form-control"
                                       placeholder="0.00" th:field="*{nilai}">
                            </div>

                            <div class="form-group">
                                <label>Batch</label>
                                <select name="" required id="" class="form-control" th:field="*{angkatan}">
                                    <option value=""></option>
                                    <option th:each="data : ${angkatan}"
                                            th:text="${data}"
                                            th:selected="(${data} == *{angkatan})"
                                            th:value="${data}"></option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label >Kode Jurnal Tagihan</label>
                                <select name="" required class="form-control js-example-placeholder-single" th:field="*{kodeTagihan}">
                                    <option value=""></option>
                                    <option th:each="data : ${template}"
                                            th:text="${data.code + ' - ' + data.name}"
                                            th:value="${data.code}">STEI TAZKIA</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Kode Jurnal Pembayaran Yayasan</label>
                                <select name="" required class="form-control js-example-placeholder-single" th:field="*{kodePembayaranYys}">
                                    <option value=""></option>
                                    <option th:each="data : ${template}"
                                            th:text="${data.code + ' - ' + data.name}"
                                            th:value="${data.code}">STEI TAZKIA</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Kode Jurnal Pembayaran IAI Tazkia</label>
                                <select name="" required class="form-control js-example-placeholder-single" th:field="*{kodePembayaranInst}">
                                    <option value=""></option>
                                    <option th:each="data : ${template}"
                                            th:text="${data.code + ' - ' + data.name}"
                                            th:value="${data.code}">STEI TAZKIA</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Status</label><br>
                                <label>
                                    <input name="status" th:field="*{status}" type="checkbox" value="AKTIF" class="js-switch" />
                                </label >
                            </div>
                            <input type="hidden" name="id" th:field="*{id}">
                            <div class="form-group">
                                <button type="submit" class="btn btn-primary">Save</button>
                                <a th:href="@{/studentBill/valueType/list}" class="btn btn-danger">Cancel</a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });
</script>